#!/bin/bash

# 当前目录在 ~/jcp/.tmp上

set -x
ARCH=`uname -m`
PATCHDIR=`dirname "${PATCH}"`
PATCHTAR="jcp.${ARCH}.patch.tar.gz"
wget "${PATCHDIR}/${PATCHTAR}" -O $PATCHTAR
result=$?
if [ ! result ];then
    exit $[result+30]
fi

mkdir -p jcp
rm -r jcp/*

tar -xf $PATCHTAR -C jcp
if [ -f "jcp/version.txt" ];then
   NEWVERSION=`cat jcp/version.txt | head -n 1 | xargs`
   echo $NEWVERSION $VERSION
   if [ "${NEWVERSION}" != "${VERSION}" ]; then
      echo "Not expected version ! "
      exit 100
   fi
fi

killall jcp
killall printer

cp -rf jcp/* ~/jcp
cd ~/jcp
./jcp.sh
